RDKit: RDKit::Dict::Pair Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::Dict::Pair Struct Reference

`#include <Dict.h>`

Inheritance diagram for RDKit::Dict::Pair:

## Public Member Functions
| Pair ()
| Pair (std::string s)
| Pair (std::string s, const RDValue &v)
void | cleanup ()

## Public Attributes
std::string | key
RDValue | val

## Detailed Description

Definition at line 38 of file Dict.h.

## Constructor & Destructor Documentation

## ◆ Pair() [1/3]

RDKit::Dict::Pair::Pair | ( |  | ) |
| inline

Definition at line 42 of file Dict.h.

References key, and val.

Referenced by RDKit::PairHolder::PairHolder(), RDKit::PairHolder::PairHolder(), RDKit::PairHolder::PairHolder(), and RDKit::PairHolder::PairHolder().

## ◆ Pair() [2/3]

RDKit::Dict::Pair::Pair | ( | std::string | s | ) |
| inlineexplicit

Definition at line 43 of file Dict.h.

References key, and val.

## ◆ Pair() [3/3]

RDKit::Dict::Pair::Pair | ( | std::string | s,
|  | const RDValue & | v )
| inline

Definition at line 44 of file Dict.h.

References key, and val.

## Member Function Documentation

## ◆ cleanup()

void RDKit::Dict::Pair::cleanup | ( |  | ) |
| inline

Definition at line 47 of file Dict.h.

References RDKit::RDValue::cleanup_rdvalue(), and val.

## Member Data Documentation

## ◆ key

std::string RDKit::Dict::Pair::key

Definition at line 39 of file Dict.h.

Referenced by Pair(), Pair(), Pair(), RDKit::PairHolder::PairHolder(), RDKit::PairHolder::PairHolder(), and RDKit::PairHolder::PairHolder().

## ◆ val

RDValue RDKit::Dict::Pair::val

Definition at line 40 of file Dict.h.

Referenced by cleanup(), Pair(), Pair(), Pair(), RDKit::PairHolder::PairHolder(), RDKit::PairHolder::PairHolder(), RDKit::PairHolder::PairHolder(), RDKit::Dict::update(), and RDKit::PairHolder::~PairHolder().

The documentation for this struct was generated from the following file:

- Dict.h